Skip to content

Set the wallet type.

PATCH
/api/v2/user/wallet-address/{id}
id
required
string
/\d+/

Update the wallet type, will be ignored if previously set.

object
type

The wallet type to set.

string
Allowed values: vasp unhosted
Example
unhosted
Example
{
"type": "unhosted"
}

Returns the user’s wallet address book.

object
currency

The currency.

string
Example
BTC
address

The address.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
default: [object Object] nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
name

A descriptive name.

string
Example
My BTC wallet 1
status
string
Allowed values: open pending disabled verified rejected
walletType
One of:
string
Allowed values: vasp unhosted
verificationStatus
One of:
string
Allowed values: required travel_rule_required
id

The id.

integer
Example
189632

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER358 ER395 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER358": {
"code": "ER358",
"message": "Wallet address id is invalid.",
"solution": "Please provide a valid wallet address id."
},
"ER395": {
"code": "ER395",
"message": "Invalid wallet address type provided.",
"solution": "Provide a valid wallet address type."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}